package sexpression;

public class BackquoteExpression extends SExpression {

    private SExpression expression;

    public BackquoteExpression(SExpression expression) {
        this.expression = expression;
    }

    public SExpression getExpression() {
        return expression;
    }

    @Override
    public boolean isBackquote() {
        return true;
    }

    @Override
    public String toString() {
        return "`" + expression;
    }

}
